Subject: Re: [PATCH net-next] bonding: add slave_changelink support and use it for queue_id

From: Jiri Pirko <[email-masked]>
Date: Wed, 27 Aug 2014 16:29:57 +0200

Wed, Aug 27, 2014 at 04:06:46PM CEST, [email-masked] wrote:
>This patch adds support for slave_changelink to the bonding and uses it
>to give the ability to change the queue_id of the enslaved devices via
>netlink. It sets slave_maxtype and uses bond_changelink as a prototype for
>bond_slave_changelink.
>Example/test command after the iproute2 patch:
> ip link set eth0 type bond_slave queue_id 10
>
>CC: David S. Miller <[email-masked]>
>CC: Jay Vosburgh <[email-masked]>
>CC: Veaceslav Falico <[email-masked]>
>CC: Andy Gospodarek <[email-masked]>
>
>Suggested-by: Jiri Pirko <[email-masked]>
>Signed-off-by: Nikolay Aleksandrov <[email-masked]>
>---
>note: I intend to add a new option flag to indicate it's a slave option
>      so a new netdev notifier can be called (NETDEV_CHANGESLAVEINFODATA).

	No need fo that atm.

>      I believe the bonding is the first user of slave_changelink so I hope
>      I haven't missed anything. Once this patch is accepted in some form
>      I'll post the iproute2 one.

This patch is looking good to me.

Acked-by: Jiri Pirko <[email-masked]>